> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nevatal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payments

> Retrieve a list of payments

## Query Parameters

<ParamField query="page" type="integer" default="1">Page number</ParamField>
<ParamField query="limit" type="integer" default="20">Results per page</ParamField>
<ParamField query="invoiceId" type="string">Filter by invoice</ParamField>
<ParamField query="patientId" type="string">Filter by patient</ParamField>
<ParamField query="method" type="string">Filter by method: `cash`, `card`, `transfer`, `other`</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET "https://api.nevatal.com/api/v1/billing/payments?invoiceId=inv_001" \
    -H "Authorization: Bearer nvtl_your_api_key"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "data": [
      {
        "id": "pay_001",
        "invoiceId": "inv_001",
        "amount": 178500,
        "currency": "COP",
        "method": "card",
        "status": "completed",
        "reference": "TXN-20250315-001",
        "paidAt": "2025-03-15T12:00:00Z",
        "createdAt": "2025-03-15T12:00:00Z"
      }
    ],
    "pagination": {
      "page": 1,
      "limit": 20,
      "total": 1
    }
  }
  ```
</ResponseExample>
